base-4.18.1.0: Basic libraries

Copyright | (c) The University of Glasgow 2001
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | libraries@haskell.org
Stability | provisional
Portability | non-portable (requires universal quantification for runST)
Safe Haskell | Unsafe
Language | Haskell2010

Control.Monad.ST.Lazy.Unsafe

Contents

- Unsafe operations

Description

This module presents an identical interface to Control.Monad.ST, except that the monad delays evaluation of `ST` operations until a value depending on them is required.

Unsafe API.

Synopsis

- unsafeInterleaveST :: ST s a -> ST s a
- unsafeIOToST :: IO a -> ST s a

# Unsafe operations

unsafeInterleaveST :: ST s a -> ST s a Source #

unsafeIOToST :: IO a -> ST s a Source #